<?php
/**
 * Greenturtle Mag Theme Customizer
 *
 * @package Greenturtle_Mag
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function greenturtle_mag_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

		// 
	require_once trailingslashit( get_template_directory() ) . '/inc/class.php'; 

	// Sanitization Callback
	require_once trailingslashit( get_template_directory() ) . '/inc/sanitize.php'; 

	// Customization Options
	require_once trailingslashit( get_template_directory() ) . '/inc/options.php';

	// Load Upgrade to Pro control.
	 require_once trailingslashit( get_template_directory() ) . '/inc/upgrade-to-pro/control.php';

	  // Register custom section types.
	  $wp_customize->register_section_type( 'Greenturtle_Mag_Customize_Section_Upsell' );

	  // Register sections.
	  $wp_customize->add_section(
	    new Greenturtle_Mag_Customize_Section_Upsell(
	      $wp_customize,
	      'theme_upsell',
	      array(
	        'title'    => esc_html__( 'Greenturtle Mag Pro', 'greenturtle-mag' ),
	        'pro_text' => esc_html__( 'Get Pro', 'greenturtle-mag' ),
	        'pro_url'  => 'http://www.greenturtlelab.com/downloads/greenturtle-mag-pro/',
	        'priority' => 1,
	      )
	    )
	  );
	
}
add_action( 'customize_register', 'greenturtle_mag_customize_register' );


/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function greenturtle_mag_customize_preview_js() {
	wp_enqueue_script( 'greenturtle-mag-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'greenturtle_mag_customize_preview_js' );

/**
 * Customizer control scripts and styles.
 *
 * @since 1.0.4
 */
function greenturtle_mag_customizer_control_scripts() {

  wp_enqueue_script( 'greenturtle-mag-customize-controls', get_template_directory_uri() . '/inc/upgrade-to-pro/customize-controls.js', array( 'customize-controls' ) );

  wp_enqueue_style( 'greenturtle-mag-customize-controls', get_template_directory_uri() . '/inc/upgrade-to-pro/customize-controls.css' );

}

add_action( 'customize_controls_enqueue_scripts', 'greenturtle_mag_customizer_control_scripts', 0 );



