<?php
/**
 * Custom Widgets
 *
 * @since 1.0.0
 */

if( ! function_exists( 'greenturtle_mag_load_widgets_feature' ) ) :
	/**
     * Register and load widgets.
     *
     * @since 1.0.0
     */
	function greenturtle_mag_load_widgets_feature() {

		/*
			Main Feature Widget Register
		*/
		register_widget( 'Greenturtle_Mag_feature' );

	}
endif;
add_action( 'widgets_init', 'greenturtle_mag_load_widgets_feature' );

if( ! class_exists( 'Greenturtle_Mag_feature' ) ) :
	/**
	 * Main Highlight
	 *
	 * @since 1.0.0
	 */
	class Greenturtle_Mag_feature extends WP_Widget
	{
		
		function __construct()
		{
			$opts = array(
				'classname' => '',
				'description'	=> esc_html__( 'Displays Feature posts. Place it in "Home Page Secodary  Widget Area"', 'greenturtle-mag' )
			);
			parent::__construct( 'greenturtle-mag-feature', esc_html__( 'GTL Feature ', 'greenturtle-mag' ), $opts );
		}

		function form( $instance ) {
			$cat_1 = ! empty( $instance[ 'cat_1' ] ) ? $instance[ 'cat_1' ] : absint( 0 );
			$cat_2 = ! empty( $instance[ 'cat_2' ] ) ? $instance[ 'cat_2' ] : absint( 0 );
			?>
			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'cat_1' ) )?>"><strong><?php echo esc_html__( 'Feature  Posts: ', 'greenturtle-mag' ); ?></strong></label>
				<?php
					$cat_args_1 = array(
						'orderby'	=> 'name',
						'hide_empty'	=> 0,
						'id'	=> $this->get_field_id( 'cat_1' ),
						'name'	=> $this->get_field_name( 'cat_1' ),
						'class'	=> 'widefat',
						'taxonomy'	=> 'category',
						'selected'	=> absint( $cat_1 ),
						'show_option_all'	=> esc_html__( 'Choose Category', 'greenturtle-mag' )
					);
					wp_dropdown_categories( $cat_args_1 );
				?>
			</p>

			<p>
				<label for="<?php echo esc_attr( $this->get_field_id( 'cat_2' ) )?>"><strong><?php echo esc_html__( 'Feature  Post: ', 'greenturtle-mag' ); ?></strong></label>
				<?php
					$cat_args_1 = array(
						'orderby'	=> 'name',
						'hide_empty'	=> 0,
						'id'	=> $this->get_field_id( 'cat_2' ),
						'name'	=> $this->get_field_name( 'cat_2' ),
						'class'	=> 'widefat',
						'taxonomy'	=> 'category',
						'selected'	=> absint( $cat_2 ),
						'show_option_all'	=> esc_html__( 'Choose Category', 'greenturtle-mag' )
					);
					wp_dropdown_categories( $cat_args_1 );
				?>
			</p>
		
			<?php
		}

		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;

			$instance[ 'cat_1' ] = absint( $new_instance[ 'cat_1' ] );
			$instance[ 'cat_2' ] = absint( $new_instance[ 'cat_2' ] );	
			


			return $instance;
		}

		function widget( $args, $instance ) {
			$cat_1 = ! empty( $instance[ 'cat_1' ] ) ? $instance[ 'cat_1' ] : absint( 1 );
			$cat_2 = ! empty( $instance[ 'cat_2' ] ) ? $instance[ 'cat_2' ] : absint( 1 );
				
			?>

                    <section class="widget gtl_mag_widget_content">
                        
                            <div class="category-grid carousel-group feature-first">

                               
                                 <div class="blog-wrapper feature-one col-md-6">
                                    <div class="card ">
                                        <p class="card-title"><?php echo esc_attr(get_the_category_by_ID( $cat_1 )); ?></p>
                                        <?php
					              			$arg_3 = array(
												'cat'				=> absint( $cat_1 ),
												'posts_per_page' 	=> 1,
												'post_type'			=> 'post',
												'post__not_in'=>get_option("sticky_posts") 
											);
											$query_3 = new WP_Query( $arg_3 );
											if( $query_3->have_posts() ) :
												while( $query_3->have_posts() ) :
													$query_3->the_post();
					              		?>
                                        <div class="card-img-top">
                                         <a href="<?php the_permalink(); ?>">
                                             <?php
												if( has_post_thumbnail() ) :
													the_post_thumbnail( 'greenturtle-mag-feature-thumb' );
												endif;
											?>
											</a>
                                        </div>
                                        
                                        <div class="card-block">
                                            <h4 class="card-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                            <p class="card-text"><?php the_excerpt(); ?></p>                            
                                        </div>
                                         <?php
				                			endwhile;
				                			wp_reset_postdata();
				                		endif;
				                	?>
				                	<?php
					              			$arg_1 = array(
												'cat'				=> absint( $cat_1 ),
												'posts_per_page' 	=> 3,
												'post_type'			=> 'post',
												'post__not_in'=>get_option("sticky_posts") ,
												'offset'  			=>1
											);
											$query_1 = new WP_Query( $arg_1 );
											if( $query_1->have_posts() ) :
												while( $query_1->have_posts() ) :
													$query_1->the_post();
					              		?>
                                        <div class="card-block">
                                            <h4 class="card-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                        </div>
                                         <?php
				                			endwhile;
				                			wp_reset_postdata();
				                		endif;
				                	?>
                                       
                                        
                                    </div>
                                </div>
                               

                                 <div class="blog-wrapper feature-one col-md-6">
                                    <div class="card ">
                                        <p class="card-title"><?php echo esc_attr(get_the_category_by_ID( $cat_2 )); ?></p>
                                        <?php
					              			$arg_2 = array(
												'cat'				=> absint( $cat_2 ),
												'posts_per_page' 	=> 1,
												'post_type'			=> 'post',
												'post__not_in'=>get_option("sticky_posts") 
											);
											$query_2 = new WP_Query( $arg_2 );
											if( $query_2->have_posts() ) :
												while( $query_2->have_posts() ) :
													$query_2->the_post();
					              		?>
                                        <div class="card-img-top">
                                         <a href="<?php the_permalink(); ?>">
                                             <?php
												if( has_post_thumbnail() ) :
													the_post_thumbnail( 'greenturtle-mag-feature-thumb' );
												endif;
											?>
											</a>
                                        </div>
                                        
                                        <div class="card-block">
                                            <h4 class="card-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                            <p class="card-text"><?php the_excerpt(); ?></p>                            
                                        </div>
                                         <?php
				                			endwhile;
				                			wp_reset_postdata();
				                		endif;
				                	?>
				                	<?php
					              			$arg_2 = array(
												'cat'				=> absint( $cat_2 ),
												'posts_per_page' 	=> 3,
												'post_type'			=> 'post',
												'post__not_in'=>get_option("sticky_posts") ,
												'offset'  			=>1
											);
											$query_2 = new WP_Query( $arg_2 );
											if( $query_2->have_posts() ) :
												while( $query_2->have_posts() ) :
													$query_2->the_post();
					              		?>
                                        <div class="card-block">
                                            <h4 class="card-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                        </div>
                                         <?php
				                			endwhile;
				                			wp_reset_postdata();
				                		endif;
				                	?>
                                       
                                        
                                    </div>
                                </div>
                                
                            </div>
                        
                    </section>
                           
			<?php
		}
	}
endif; 
?>